# API Documentation

# \Thelia\ModelFeatureProductQuery

Skeleton subclass for performing query and update operations on the 'feature_product' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByProductId()
filterByFeatureId()
filterByFeatureAvId()
filterByByDefault()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByProduct()
joinProduct()
useProductQuery()
filterByFeature()
joinFeature()
useFeatureQuery()
filterByFeatureAv()
joinFeatureAv()
useFeatureAvQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByProductId()
orderByFeatureId()
orderByFeatureAvId()
orderByByDefault()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByProductId()
groupByFeatureId()
groupByFeatureAvId()
groupByByDefault()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinProduct()
rightJoinProduct()
innerJoinProduct()
leftJoinFeature()
rightJoinFeature()
innerJoinFeature()
leftJoinFeatureAv()
rightJoinFeatureAv()
innerJoinFeatureAv()
findOne()
findOneOrCreate()
findOneById()
findOneByProductId()
findOneByFeatureId()
findOneByFeatureAvId()
findOneByByDefault()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByProductId()
findByFeatureId()
findByFeatureAvId()
findByByDefault()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/FeatureProductQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\FeatureProductQuery
  \Thelia\Model\FeatureProductQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\FeatureProductQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\FeatureProductQuery

Returns a new ChildFeatureProductQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\FeatureProductQuery

#

static

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\FeatureProduct|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\FeatureProduct|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\FeatureProductQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\FeatureProductQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterByProductId()

    filterByProductId(mixed $productId, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the product_id column

Example usage: `$query->filterByProductId(1234); // WHERE product_id = 1234 $query->filterByProductId(array(12, 34)); // WHERE product_id IN (12, 34) $query->filterByProductId(array('min' => 12)); // WHERE product_id > 12`

#### Parameters

mixed | $productId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery
See also

## Tags

None found

### filterByFeatureId()

    filterByFeatureId(mixed $featureId, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the feature_id column

Example usage: `$query->filterByFeatureId(1234); // WHERE feature_id = 1234 $query->filterByFeatureId(array(12, 34)); // WHERE feature_id IN (12, 34) $query->filterByFeatureId(array('min' => 12)); // WHERE feature_id > 12`

#### Parameters

mixed | $featureId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery
See also

## Tags

None found

### filterByFeatureAvId()

    filterByFeatureAvId(mixed $featureAvId, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the feature_av_id column

Example usage: `$query->filterByFeatureAvId(1234); // WHERE feature_av_id = 1234 $query->filterByFeatureAvId(array(12, 34)); // WHERE feature_av_id IN (12, 34) $query->filterByFeatureAvId(array('min' => 12)); // WHERE feature_av_id > 12`

#### Parameters

mixed | $featureAvId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery
See also

## Tags

None found

### filterByByDefault()

    filterByByDefault(string $byDefault, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the by_default column

Example usage: `$query->filterByByDefault('fooValue'); // WHERE by_default = 'fooValue' $query->filterByByDefault('%fooValue%'); // WHERE by_default LIKE '%fooValue%'`

#### Parameters

string | $byDefault | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### filterByProduct()

    filterByProduct(\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection $product, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query by a related \Thelia\Model\Product object

#### Parameters

\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection | $product | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### joinProduct()

    joinProduct(string $relationAlias, string $joinType) : \Thelia\Model\FeatureProductQuery

Adds a JOIN clause to the query using the Product relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### useProductQuery()

    useProductQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Use the Product relation Product object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery
See also

## Tags

None found

### filterByFeature()

    filterByFeature(\Thelia\Model\Feature|\Propel\Runtime\Collection\ObjectCollection $feature, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query by a related \Thelia\Model\Feature object

#### Parameters

\Thelia\Model\Feature|\Propel\Runtime\Collection\ObjectCollection | $feature | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### joinFeature()

    joinFeature(string $relationAlias, string $joinType) : \Thelia\Model\FeatureProductQuery

Adds a JOIN clause to the query using the Feature relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### useFeatureQuery()

    useFeatureQuery(string $relationAlias, string $joinType) : \Thelia\Model\FeatureQuery

Use the Feature relation Feature object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FeatureQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery
See also

## Tags

None found

### filterByFeatureAv()

    filterByFeatureAv(\Thelia\Model\FeatureAv|\Propel\Runtime\Collection\ObjectCollection $featureAv, string $comparison) : \Thelia\Model\FeatureProductQuery

Filter the query by a related \Thelia\Model\FeatureAv object

#### Parameters

\Thelia\Model\FeatureAv|\Propel\Runtime\Collection\ObjectCollection | $featureAv | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### joinFeatureAv()

    joinFeatureAv(string $relationAlias, string $joinType) : \Thelia\Model\FeatureProductQuery

Adds a JOIN clause to the query using the FeatureAv relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### useFeatureAvQuery()

    useFeatureAvQuery(string $relationAlias, string $joinType) : \Thelia\Model\FeatureAvQuery

Use the FeatureAv relation FeatureAv object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FeatureAvQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\FeatureProduct $featureProduct) : \Thelia\Model\FeatureProductQuery

Exclude object from result

#### Parameters

\Thelia\Model\FeatureProduct | $featureProduct | Object to remove from the list of results

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the feature_product table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildFeatureProduct or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\FeatureProductQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\FeatureProductQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\FeatureProductQuery

Order by update date desc

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\FeatureProductQuery

Order by update date asc

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\FeatureProductQuery

Order by create date desc

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\FeatureProductQuery

Order by create date asc

#### Returns

\Thelia\Model\FeatureProductQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\FeatureProductQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderByProductId()

    orderByProductId($order =) : \Thelia\Model\FeatureProductQuery

Order by the product_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderByFeatureId()

    orderByFeatureId($order =) : \Thelia\Model\FeatureProductQuery

Order by the feature_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderByFeatureAvId()

    orderByFeatureAvId($order =) : \Thelia\Model\FeatureProductQuery

Order by the feature_av_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderByByDefault()

    orderByByDefault($order =) : \Thelia\Model\FeatureProductQuery

Order by the by_default column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\FeatureProductQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\FeatureProductQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\FeatureProductQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\FeatureProductQuery

Group by the id column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupByProductId()

    groupByProductId() : \Thelia\Model\FeatureProductQuery

Group by the product_id column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupByFeatureId()

    groupByFeatureId() : \Thelia\Model\FeatureProductQuery

Group by the feature_id column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupByFeatureAvId()

    groupByFeatureAvId() : \Thelia\Model\FeatureProductQuery

Group by the feature_av_id column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupByByDefault()

    groupByByDefault() : \Thelia\Model\FeatureProductQuery

Group by the by_default column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\FeatureProductQuery

Group by the position column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\FeatureProductQuery

Group by the created_at column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\FeatureProductQuery

Group by the updated_at column

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\FeatureProductQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\FeatureProductQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\FeatureProductQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### leftJoinProduct()

    leftJoinProduct($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a LEFT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### rightJoinProduct()

    rightJoinProduct($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a RIGHT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### innerJoinProduct()

    innerJoinProduct($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a INNER JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### leftJoinFeature()

    leftJoinFeature($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a LEFT JOIN clause to the query using the Feature relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### rightJoinFeature()

    rightJoinFeature($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a RIGHT JOIN clause to the query using the Feature relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### innerJoinFeature()

    innerJoinFeature($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a INNER JOIN clause to the query using the Feature relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### leftJoinFeatureAv()

    leftJoinFeatureAv($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a LEFT JOIN clause to the query using the FeatureAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### rightJoinFeatureAv()

    rightJoinFeatureAv($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a RIGHT JOIN clause to the query using the FeatureAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### innerJoinFeatureAv()

    innerJoinFeatureAv($relationAlias =) : \Thelia\Model\FeatureProductQuery

Adds a INNER JOIN clause to the query using the FeatureAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FeatureProductQuery

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct matching the query, or a new ChildFeatureProduct object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneByProductId()

    findOneByProductId(int $product_id) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the product_id column

#### Parameters

int | $product_id |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneByFeatureId()

    findOneByFeatureId(int $feature_id) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the feature_id column

#### Parameters

int | $feature_id |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneByFeatureAvId()

    findOneByFeatureAvId(int $feature_av_id) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the feature_av_id column

#### Parameters

int | $feature_av_id |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneByByDefault()

    findOneByByDefault(string $by_default) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the by_default column

#### Parameters

string | $by_default |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\FeatureProduct

Return the first ChildFeatureProduct filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\FeatureProduct

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildFeatureProduct objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findByProductId()

    findByProductId(int $product_id) : array

Return ChildFeatureProduct objects filtered by the product_id column

#### Parameters

int | $product_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findByFeatureId()

    findByFeatureId(int $feature_id) : array

Return ChildFeatureProduct objects filtered by the feature_id column

#### Parameters

int | $feature_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findByFeatureAvId()

    findByFeatureAvId(int $feature_av_id) : array

Return ChildFeatureProduct objects filtered by the feature_av_id column

#### Parameters

int | $feature_av_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findByByDefault()

    findByByDefault(string $by_default) : array

Return ChildFeatureProduct objects filtered by the by_default column

#### Parameters

string | $by_default |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildFeatureProduct objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildFeatureProduct objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildFeatureProduct objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\FeatureProduct

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\FeatureProduct —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\FeatureProduct|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\FeatureProduct|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\FeatureProductQuery

## Tags

None found

### FeatureProductQuery.php